<template>
  <q-card>
    <q-card-section class="text-center">
      <q-img :src="props.row.gambar" style="max-width: 100px" @click="showImage(props.row.gambar)"/>
      <br>
      <strong>{{  props.row.judul }}</strong>
    </q-card-section>
    <q-separator />
    <q-card-section class="flex flex-center">
      <q-list separator class="full-width">
        <q-item clickable v-ripple>
          <q-item-section>
            <q-item-label>Deskripsi</q-item-label>
            <q-item-label caption>{{ props.row.description }}</q-item-label>
          </q-item-section>
        </q-item>
        <q-item clickable v-ripple>
          <q-item-section>
            <q-item-label>Masa Berlaku</q-item-label>
            <q-item-label caption>{{ props.row.start }} s/d {{ props.row.end }}</q-item-label>
          </q-item-section>
        </q-item>
        <q-item clickable v-ripple>
          <q-item-section>
            <q-item-label>Status</q-item-label>
            <q-item-label caption>
              <q-badge color="green" label="Publish" v-if="props.row.status === 1" />
              <q-badge color="red" label="Unpublish" v-else />
            </q-item-label>
          </q-item-section>
        </q-item>
        <q-item clickable v-ripple class="flex flex-center">
          <q-item-section>
            <q-btn class="full-width" color="red" label="hapus" @click="deleteBanner" />
          </q-item-section>
        </q-item>
      </q-list>
    </q-card-section>
  </q-card>
</template>

<script>
export default {
  name: 'DetailBanner',
  data () {
    return {
      props: {
        row: null
      }
    }
  },
  beforeMount() {
    if (this.$attrs.dataBanner) {
      this.props.row = this.$attrs.dataBanner
    }
  },
  methods: {
    showImage (val) {
      this.$q.dialog({
        message: `<img src="${val}" style="width: 100%" />`,
        html: true
      })
    },
    deleteBanner() {
      this.$q.loading.show()
      this.$axios.post(`api/banner/${this.$route.params.id}?_method=delete`)
      .then(sukses => {
        console.log(sukses)
        this.$q.loading.hide()
        this.$router.push("/banner")
        this.$q.notify({
          message: "Banner Berhasil dihapus",
          position: "top",
          color: "red"
        })
      })
    }
  }
}
</script>
